# $Revision: 1.11 $, $Date: 2002/09/04 11:54:40 $
Summary:	DocBook - DTD for technical documentation
Summary(pl):	DocBook - DTD przeznaczone do pisania dokumentacji technicznej
%define ver	4.1
%define sver	41
Name:		docbook-dtd%{sver}-sgml
Version:	1.0
Release:	14
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/SGML
URL:		http://www.oasis-open.org/docbook/
Source0:	http://www.oasis-open.org/docbook/sgml/%{ver}/docbk%{sver}.zip
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgmlparser
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook%{sver}-dtd
Obsoletes:	docbook-sgml-%{ver}

%description
DocBook - DTD for technical documentation.

%description -l pl
DocBook DTD jest zestawem definicji dokumentw przeznaczonych do
tworzenia dokumentacji programistycznej. Stosowany jest do pisania
podrcznikw systemowych, instrukcji technicznych jak i wielu innych
ciekawych rzeczy.

%prep
%setup -q -c -T
unzip -qa %{SOURCE0}
chmod 644 *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}

install  *.dtd *.mod *.dcl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/

# install catalog (but filter out ISO entities)
grep -v 'ISO ' docbook.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-13
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: docbook-dtd41-sgml.spec,v $
Revision 1.11  2002/09/04 11:54:40  wiget
- drop sgml-iso-ent-fix, release 14

Revision 1.10  2002/09/03 16:39:13  wiget
- release 13
- use sgml-iso-ent-fix
- fix %%post/%%postun scripts
- new %%doc

Revision 1.9  2002/04/25 16:12:51  arturs
fixed a small typo

Revision 1.8  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/03/01 02:47:30  kloczek
- release 12,
- fix: Requires for sgml-common changed to Prereq.

Revision 1.4  2001/02/21 23:09:31  kloczek
- added unzip to added BuildRequires,
- release 11 (for allow upgrade from RH version).

Revision 1.3  2001/02/15 14:40:10  klakier
- cosmetics

Revision 1.2  2001/02/15 14:33:07  klakier
- rel 1
